Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003219KdenliveEffectspublic2014-02-09 10:402014-02-13 23:19
Reporterdiveo 
Assigned Tovpinon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003219: Bézier curves effect removed, yet curves effect lacks functionality
DescriptionSo far, Kdenlive offered both the Bézier curves effect as well as the Curves effect. Recently, the Bézier curves effect has been dropped from Kdenlive. Existing projects cannot be converted or opened as the missing Bézier effect neither gets translated to the Curves effect nor does the Curves effect offer "RGB" and "Hue" curve operation. Existing projects get crippled and loose their effects when opened in newer Kdenlive versions.
Steps To Reproduce1. open any Kdenlive 0.9.6 project containing the Bézier curves effect with a recent Kdenlive build, such as daily builds.
2. Kdenlive reports that it has removed Bézier curves effects from your project.
3. Your project is now useless and broken.
Additional InformationThe Curves effect lacks the ability to manipulate the RGB channels instead of Luma, and it also lacks Hue and Saturation manipulation.

However, when working with Protune video footage shot with GoPro HD Hero 3 cameras, these cams compress their R, G, and B channels independently using tonal curves. To correctly uncompress, you MUST NOT use luma uncompression, but instead RGB uncompression.

Removing the Bézier curves effect without adding the missing functionality to the Curves effect causes projects to become defunct.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0009682)
ttguy (reporter)
2014-02-12 14:47

Not reproducible on my system. I have both Bezier curves and curves.
I have frei0r version 1.4.0+git20131020.10d8360f-0ubuntu0~sunab~precise1 and Kdenlive version 0.9.7+git20140117.5359c90f-0ubuntu0~sunab~precise1 from the sunab repository.

Do you have a frei0r_bezier_curves.xml in /usr/share/kde4/apps/kdenlive/effects ?
(0009685)
diveo (reporter)
2014-02-12 19:04

I've checked again with the most recent daily build, http://builds.meltytech.com/kdenlive/kdenlive-ubuntu12.04-x86_64-20140212.tar.bz2 [^]

This version actually does (still) come with the Bézier curves. When trying to work around the defish bug I probably was in a hurry not noticing that the error messages I got when loading my working project came from a self-made effect which in turn bases on the Bézier curves. After copying over the xml file for my user-defined effect into the daily config directory, Kdenlive successfully loads my existing project.

I thought I've been bitten by this issue, when in fact the error was between keyboard and chair. Sorry from my side.
http://forum.kde.nl/viewtopic.php?f=269&t=118506&sid=e66aab1e59140a2d4c7fec4103fc9a05 [^]
(0009686)
diveo (reporter)
2014-02-12 19:05

So this report can be closed, as it does not apply.

- Issue History
Date Modified Username Field Change
2014-02-09 10:40 diveo New Issue
2014-02-12 14:47 ttguy Note Added: 0009682
2014-02-12 19:04 diveo Note Added: 0009685
2014-02-12 19:05 diveo Note Added: 0009686
2014-02-13 23:19 vpinon Status new => resolved
2014-02-13 23:19 vpinon Resolution open => fixed
2014-02-13 23:19 vpinon Assigned To => vpinon
2014-02-13 23:19 vpinon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker